---
label: "DLTA-AI User Guide"
icon: "assets/icon.png"
---

# DLTA-AI User Guide

![DLTA-AI Preview](https://github.com/0ssamaak0/DLTA-AI/raw/master/assets/gif_main.gif?raw=true)

<h3 align= "center">
Data Labeling, Tracking and Annotation with AI
</h3>

DLTA-AI is the next generation of annotation tools, integrating the power of Computer Vision SOTA models to Labelme in a seamless expirence and intuitive workflow to make creating image datasets easier than ever before


## Why DLTA-AI?
Open source and customizable annotation tool was created to fill a gap in annotation tools.
The customization and giving the user the full control was and will be our priority, from the model selection, input formats and inference parameters, to the export formats and even the User Interface itself. From these options, the goal was to extend the use cases of the concept of annotation tool to other use cases for end users beyond just preparing datasets to train models.

## Features
-	Easy and straightforward Installation process, support for all Operating Systems
-	User Guide with detailed tutorials for all the features
-	Full Support of Auto Annotation with different models.
-	Different annotation options and parameters (e.g., Thresholds)
-	Export to (literally) any format
-	Modern and functional User Interface
-	Dedicated Video Mode
-   Object Tracking Support 
-   Completely free and open-source, and will always be.



## Contributing
DLTA-AI is an open source project and contributions are very welcome

You can contribute in many ways:

- Create an [issue](https://github.com/0ssamaak0/DLTA-AI/issues) Reporting bugs 🐞 or suggesting new features 🌟 or just give your feedback 📝

- Create a [pull request](https://github.com/0ssamaak0/DLTA-AI/pulls) to fix bugs or add new features, or just to improve the code quality, optimize performance, documentation, or even just to fix typos

- Review [pull requests](https://github.com/0ssamaak0/DLTA-AI/pulls) and help with the code review process

- Spread the word about DLTA-AI and help us grow the community 🌎, by sharing the project on social media, or just by telling your friends about it

## Resources
- [Labelme](https://github.com/wkentaro/labelme)
- [Segment Anything (SAM)](https://github.com/facebookresearch/segment-anything)
- [MMDetection](https://github.com/open-mmlab/mmdetection/tree/2.x)
- [ultralytics YOLOv8](https://github.com/ultralytics/ultralytics)
- [mikelbrostrom yolov8_tracking](https://github.com/mikel-brostrom/yolov8_tracking)
- [orjson](https://github.com/ijl/orjson)
- [icons8](https://icons8.com/)
